{% extends 'pathotrack/layout/base.html' %}
{% load widget_tweaks %}

{% block content %}

<div class="row">
  <div class="col-12">
    <form method="post" class="card">
      {% csrf_token %}

      <div class="card-header">
        <h4 class="card-title">Pathology Report</h4>
        <span class="badge bg-purple ml-2 px-2">
          {{ request.session.patient_name }}
          <span class="badge-addon">{{ request.session.patient_age }} / {{ request.session.patient_sex }}</span>
        </span>
          <span class="badge bg-blue ml-2 px-2">
          <span class="badge-single">{{ pathology_id }}</span>
        </span>
      </div>

      <div class="card-body">
        <div class="row">
          {% for field in form %}
          {% if field.label != 'Module name' and field.label != 'Sub module' and field.label != 'Synoptic report' %}
          <div class="form-group col-12 mb-3">
            {{ field.label }}
            {{ field|attr:"class:form-control mt-1"|attr:"rows:2" }}
            </div>
          {% else %}
          <div class="form-group col-md-4 mb-3">
            {{ field.label }}
            {{ field|add_class:"form-select mt-1" }}
          </div>
          {% endif %}
          {% endfor %}
        </div>
      </div>

      <div class="card-footer text-right">
        <div class="d-flex">
          <button class="btn btn-secondary m-1" type="submit" name="submit" value="cancel">Cancel</button>
          <button class="btn btn-info m-1 ml-auto" type="submit" name="submit" value="save">Save & Return</button>
          <button class="btn btn-primary m-1" type="submit" name="submit" value="continue">Submit & Continue</button>
        </div>
      </div>
    </form>
  </div>
</div>
{% endblock content %}
